Update Card Title
curl --request PUT \
--url https://{instance}.domo.com/api/content/v1/cards/{CARD_ID}/title \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"dynamicTitle": {
"text": [
{
"type": "TEXT",
"text": "Pivot Table - Change 22 the quick brown fox"
}
]
},
"dynamicDescription": {
"text": [
{
"type": "TEXT",
"text": "Pivot Table - Change 22 the quick brown fox"
}
]
}
}
'import requests
url = "https://{instance}.domo.com/api/content/v1/cards/{CARD_ID}/title"
payload = {
"dynamicTitle": { "text": [
{
"type": "TEXT",
"text": "Pivot Table - Change 22 the quick brown fox"
}
] },
"dynamicDescription": { "text": [
{
"type": "TEXT",
"text": "Pivot Table - Change 22 the quick brown fox"
}
] }
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dynamicTitle: {text: [{type: 'TEXT', text: 'Pivot Table - Change 22 the quick brown fox'}]},
dynamicDescription: {text: [{type: 'TEXT', text: 'Pivot Table - Change 22 the quick brown fox'}]}
})
};
fetch('https://{instance}.domo.com/api/content/v1/cards/{CARD_ID}/title', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>"
}{
"message": "<string>"
}Cards
Update Card Title
Updates the dynamic title and/or description of a specific card.
PUT
/
api
/
content
/
v1
/
cards
/
{CARD_ID}
/
title
Update Card Title
Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the card to update.
Body
application/json
Response
OK. The card was updated successfully.
Returns an empty object.
⌘I